[SRU] newton stable releases

Bug #1696133 reported by James Page on 2017-06-06
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Newton
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
swift (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

neutron 9.4.0
horizon 10.0.4
nova 14.0.7
swift 2.10.2

Testing of point releases for OpenStack packages is covered by:

 https://wiki.ubuntu.com/OpenStack/StableReleaseUpdates

James Page (james-page) on 2017-06-06
description: updated
Changed in cloud-archive:
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in swift (Ubuntu):
status: New → Invalid
James Page (james-page) on 2017-06-07
description: updated
James Page (james-page) wrote :

Uploaded to yakkety-proposed for SRU team review.

Hello James, or anyone else affected,

Accepted neutron into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:9.4.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed
Łukasz Zemczak (sil2100) wrote :

Hello James, or anyone else affected,

Accepted horizon into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/3:10.0.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Yakkety):
status: New → Fix Committed
Changed in nova (Ubuntu Yakkety):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello James, or anyone else affected,

Accepted nova into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:14.0.7-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in swift (Ubuntu Yakkety):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello James, or anyone else affected,

Accepted swift into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/swift/2.10.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted horizon into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-newton-needed
James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted neutron into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted nova into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted swift into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

James Page (james-page) wrote :

yakkety-proposed:

======
Totals
======
Ran: 103 tests in 1244.3250 sec.
 - Passed: 97
 - Skipped: 6
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 639.1311 sec.

==============
Worker Balance
==============
 - Worker 0 (103 tests) => 0:20:26.460444

Versions:

ceilometer 7.0.3
ceilometer-agent 7.0.3
ceph 10.2.7
cinder 9.1.4
cinder-ceph 9.1.4
glance 13.0.0
heat 7.0.3
keystone 10.0.1
mysql 5.6.34-26.19
neutron-api 9.4.0
neutron-gateway 9.4.0
neutron-openvswitch 9.4.0
nova-cloud-controller 14.0.7
nova-compute 14.0.7
openstack-dashboard 10.0.4
rabbitmq-server 3.5.7
swift-proxy 2.10.2
swift-storage-z1 2.10.2
swift-storage-z2 2.10.2
swift-storage-z3 2.10.2

tags: added: verification-done-yakkety
removed: verification-needed
James Page (james-page) wrote :

xenial-newton-proposed:

======
Totals
======
Ran: 103 tests in 743.0636 sec.
 - Passed: 97
 - Skipped: 6
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0

Sum of execute time for each test: 1141.2184 sec.

versions:

ceilometer 7.0.3
ceilometer-agent 7.0.3
ceph 10.2.7
cinder 9.1.4
cinder-ceph 9.1.4
glance 13.0.0
heat 7.0.3
keystone 10.0.1
mysql 5.6.34-26.19
neutron-api 9.4.0
neutron-gateway 9.4.0
neutron-openvswitch 9.4.0
nova-cloud-controller 14.0.7
nova-compute 14.0.7
openstack-dashboard 10.0.4
rabbitmq-server 3.5.7
swift-proxy 2.10.2
swift-storage-z1 2.10.2
swift-storage-z2 2.10.2
swift-storage-z3 2.10.2

tags: added: verification-newton-done
removed: verification-newton-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:10.0.4-0ubuntu1

---------------
horizon (3:10.0.4-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1696133).

 -- James Page <email address hidden> Wed, 07 Jun 2017 13:07:12 +0100

Changed in horizon (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:9.4.0-0ubuntu1

---------------
neutron (2:9.4.0-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1696133, #1662804).

 -- James Page <email address hidden> Wed, 07 Jun 2017 13:08:13 +0100

Changed in neutron (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:14.0.7-0ubuntu1

---------------
nova (2:14.0.7-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1696133).
  * d/p/wsgi-intercept.patch: Dropped, included upstream.
  * d/p/libvirt-set-vlan-tag-for-macvtap.patch,
        libvirt-set-script-path.patch: Dropped, included upstream.

 -- James Page <email address hidden> Wed, 07 Jun 2017 13:08:36 +0100

Changed in nova (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 2.10.2-0ubuntu1

---------------
swift (2.10.2-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1696133).

 -- James Page <email address hidden> Wed, 07 Jun 2017 13:09:19 +0100

Changed in swift (Ubuntu Yakkety):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package horizon - 3:10.0.4-0ubuntu1~cloud0
---------------

 horizon (3:10.0.4-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 horizon (3:10.0.4-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream stable release for OpenStack Newton (LP: #1696133).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron - 2:9.4.0-0ubuntu1~cloud0
---------------

 neutron (2:9.4.0-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron (2:9.4.0-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream point release for OpenStack Newton (LP: #1696133, #1662804).

James Page (james-page) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package nova - 2:14.0.7-0ubuntu1~cloud0
---------------

 nova (2:14.0.7-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 nova (2:14.0.7-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream stable release for OpenStack Newton (LP: #1696133).
   * d/p/wsgi-intercept.patch: Dropped, included upstream.
   * d/p/libvirt-set-vlan-tag-for-macvtap.patch,
         libvirt-set-script-path.patch: Dropped, included upstream.

James Page (james-page) wrote :

The verification of the Stable Release Update for swift has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package swift - 2.10.2-0ubuntu1~cloud0
---------------

 swift (2.10.2-0ubuntu1~cloud0) xenial-newton; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 swift (2.10.2-0ubuntu1) yakkety; urgency=medium
 .
   * New upstream stable release for OpenStack Newton (LP: #1696133).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers